Skip to main content
`Ctrl`+`K`

# VecSetValuesSection

Sets all the values associated with a given point, according to the section, in the given `Vec`

## Synopsis

    #include "petscsection.h"
    #include "petscvec.h"
    PetscErrorCode VecSetValuesSection(Vec v, PetscSection s, PetscInt point, const PetscScalar values[], InsertMode mode)

Not Collective

## Input Parameters

- v - the `Vec`

- s - the organizing `PetscSection`

- point - the point

- values - the array of input values

- mode - the insertion mode, either `ADD_VALUES` or `INSERT_VALUES`

## See Also

`PetscSection`, `PetscSectionCreate()`, `VecGetValuesSection()`

## Level

developer

## Location

src/vec/vec/utils/vsection.c

## Examples

src/snes/tutorials/ex7.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages